> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read current usage and permitted credit balances

> Returns the caller's existing billing-period usage and separately authorized credit balances. Unavailable sections are unknown, not zero. This read does not grant spending permission or change a budget.



## OpenAPI

````yaml /openapi.json get /v1/usage
openapi: 3.0.3
info:
  title: CodeRabbit API spec
  version: 1.0.0
servers:
  - url: https://api.coderabbit.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/usage:
    get:
      tags:
        - Usage
      summary: Read current usage and permitted credit balances
      description: >-
        Returns the caller's existing billing-period usage and separately
        authorized credit balances. Unavailable sections are unknown, not zero.
        This read does not grant spending permission or change a budget.
      operationId: get_usage
      parameters:
        - name: org_id
          in: query
          schema:
            type: string
            minLength: 1
            description: >-
              Git-provider organization ID. Required for workspace keys; omit
              for organization keys. This differs from the CodeRabbit
              organization ID in scope.id.
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformUsage'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - invalid_request
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - unauthenticated
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - forbidden
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - not_found
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: '409'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - head_changed
                          - conflict
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '412':
          description: '412'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - precondition_failed
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '413':
          description: '413'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - payload_too_large
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - rate_limit_exceeded
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - internal_error
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: '503'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unavailable
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  schemas:
    PlatformUsage:
      type: object
      properties:
        organization:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        billingPeriod:
          anyOf:
            - type: object
              properties:
                state:
                  enum:
                    - unavailable
                reason:
                  enum:
                    - forbidden
                    - lookup_failed
                    - not_supported
                    - not_available
                  type: string
              required:
                - state
                - reason
            - type: object
              properties:
                state:
                  enum:
                    - available
                scope:
                  enum:
                    - user
                usageBillingConfigured:
                  type: boolean
                usageBillingActive:
                  type: boolean
                callerUsage:
                  anyOf:
                    - type: object
                      properties:
                        login:
                          type: string
                        reviewsCount:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        spendCents:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        waivedCents:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                      required:
                        - login
                        - reviewsCount
                        - spendCents
                        - waivedCents
                    - type: string
                      nullable: true
                      enum:
                        - null
                resetsAt:
                  anyOf:
                    - type: string
                    - type: string
                      nullable: true
                      enum:
                        - null
                reviewSpendingCap:
                  anyOf:
                    - type: object
                      properties:
                        limitCents:
                          anyOf:
                            - type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            - type: string
                              nullable: true
                              enum:
                                - null
                        isActive:
                          type: boolean
                      required:
                        - limitCents
                        - isActive
                    - type: string
                      nullable: true
                      enum:
                        - null
              required:
                - state
                - scope
                - usageBillingConfigured
                - usageBillingActive
                - callerUsage
                - resetsAt
                - reviewSpendingCap
        credits:
          type: object
          properties:
            prepaid:
              anyOf:
                - type: object
                  properties:
                    state:
                      enum:
                        - unavailable
                    reason:
                      enum:
                        - forbidden
                        - lookup_failed
                        - not_supported
                        - not_available
                      type: string
                  required:
                    - state
                    - reason
                - type: object
                  properties:
                    state:
                      enum:
                        - available
                    scope:
                      enum:
                        - subscription
                    reviewAvailableCents:
                      type: integer
                      minimum: 0
                      maximum: 9007199254740991
                    enrolled:
                      type: boolean
                  required:
                    - state
                    - scope
                    - reviewAvailableCents
            legacyCli:
              anyOf:
                - type: object
                  properties:
                    state:
                      enum:
                        - unavailable
                    reason:
                      enum:
                        - forbidden
                        - lookup_failed
                        - not_supported
                        - not_available
                      type: string
                  required:
                    - state
                    - reason
                - type: object
                  properties:
                    state:
                      enum:
                        - available
                    scope:
                      enum:
                        - subscription
                    balanceCents:
                      type: integer
                      minimum: 0
                      maximum: 9007199254740991
                  required:
                    - state
                    - scope
                    - balanceCents
          required:
            - prepaid
            - legacyCli
        includedReviews:
          type: object
          properties:
            state:
              enum:
                - unavailable
            reason:
              enum:
                - forbidden
                - lookup_failed
                - not_supported
                - not_available
              type: string
          required:
            - state
            - reason
      required:
        - organization
        - billingPeriod
        - credits
        - includedReviews
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-coderabbitai-api-key
      description: >-
        API key for authentication. You can create an API key from the
        CodeRabbit dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.